View Issue Details

Category
SSPBT:本体(SSP)
SeverityfeatureReproducibilityN/A 
Status closed 
Fixed in Version2.5 (リリース) 
Summary0000310: Give OnMouseDragEnd a reference value for if the sakura and kero are overlapping
Description

I'm trying to help someone set up a ghost that has special behavior if you drag the characters onto each other, but I'm having a lot of difficulty. OnOverlap sometimes fires before you stop dragging and sometimes fires afterwards, and the reference in OnSecondChange has been unreliable and I'm not sure why yet... Possibly an error on my part. But even then, OnSecondChange usually takes a second to happen. I think it would be much simpler, and smoother, if this could be added to OnMouseDragEnd.
(It would be great if it could also cover more characters than the sakura and kero, but I don't want to ask too much.)

TagsNo tags attached.
Attach Tags

Relationships

related to 0000326 new OnOverlap does not fire when characters stop overlapping 

Activities

ponapalt

2021-10-14 14:05

administrator   ~0000815

I'll improve OnOverlap / OnOffscreen event timing.

ponapalt

2021-10-14 14:45

administrator   ~0000816

2.5.36

Issue History

Date Modified Username Field Change
2021-10-06 11:20 guest New Issue
2021-10-14 14:05 ponapalt Assigned To => ponapalt
2021-10-14 14:05 ponapalt Status new => confirmed
2021-10-14 14:05 ponapalt Note Added: 0000815
2021-10-14 14:45 ponapalt Status confirmed => closed
2021-10-14 14:45 ponapalt Resolution open => fixed
2021-10-14 14:45 ponapalt Fixed in Version => 2.5 (リリース)
2021-10-14 14:45 ponapalt Note Added: 0000816
2021-10-15 16:34 ponapalt Relationship added related to 0000326